Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3316 - man2html enters infinite loop on terminfo.5
Summary: man2html enters infinite loop on terminfo.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-07 17:02 UTC by redhat-bugs2eran
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 23:09:40 UTC


Attachments (Terms of Use)

Description redhat-bugs2eran 1999-06-07 17:02:35 UTC
On a RH6 system,
% /usr/bin/man2html /usr/man/man5/terminfo.5
takes infinite time and infinite memory (or at least 128MB).
It displays a part of the document, then goes metaphysical.

All other manpages on the system are rendered correctly.
PolyglotMan (rman) handles that manpage correctly.

Comment 1 David Lawrence 1999-06-07 22:33:59 UTC
I have verified this to be true on a test machine in the test lab with
a stock 6.0 install.

Comment 2 Cristian Gafton 1999-06-16 23:09:59 UTC
applied patch from Andries.Brouwer@cwi.nl and made new package for
rawhide.


Note You need to log in before you can comment on or make changes to this bug.